Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1548815 - [Docs][RFE][Admin] Document check box automatically syncs cluster network with external provider's network when adding external network provider
Summary: [Docs][RFE][Admin] Document check box automatically syncs cluster network wit...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.2.3
: ---
Assignee: Billy Burmester
QA Contact: Emma Heftman
URL:
Whiteboard: docs-accepted
Depends On: 1511823 1546668
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-25 09:37 UTC by Avital Pinnick
Modified: 2018-05-17 23:25 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-17 23:25:46 UTC
oVirt Team: Docs


Attachments (Terms of Use)

Description Avital Pinnick 2018-02-25 09:37:44 UTC
When you add an external network provider, a check box allows you to automatically synchronize your cluster networks with the networks imported from the default network provider. The networks are immediately available for the virtual machines.

Section to be updated:

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2-beta/html-single/administration_guide/#Adding_an_External_Network_Provider

Comment 1 Lucy Bopf 2018-03-01 07:22:23 UTC
It looks like the scope of this RFE has since changed so that it does not include a UI element:

Currently, the property is only available in rest-api and not available in webadmin. For backward compatibility, the property is set to 'disabled' by default in rest-api and webadmin. If you think the property should be available in webadmin, please create a bug with a proposed default value to track this.


Since we track REST API docs separately, we may not need this RFE after all, but I won't close it just yet, pending the final outcome of the eng RFE.

Comment 2 Dominik Holler 2018-03-14 12:58:22 UTC
(In reply to Lucy Bopf from comment #1)
> It looks like the scope of this RFE has since changed so that it does not
> include a UI element:
> 
> Since we track REST API docs separately, we may not need this RFE after all,
> but I won't close it just yet, pending the final outcome of the eng RFE.


No UI element will be added for 4.2 GA, so https://bugzilla.redhat.com/show_bug.cgi?id=1511823 stays valid as it is.

Comment 3 Lucy Bopf 2018-03-29 02:02:49 UTC
(In reply to Dominik Holler from comment #2)
> (In reply to Lucy Bopf from comment #1)
> > It looks like the scope of this RFE has since changed so that it does not
> > include a UI element:
> > 
> > Since we track REST API docs separately, we may not need this RFE after all,
> > but I won't close it just yet, pending the final outcome of the eng RFE.
> 
> 
> No UI element will be added for 4.2 GA, so
> https://bugzilla.redhat.com/show_bug.cgi?id=1511823 stays valid as it is.

Thanks, Dominik. So, to confirm, there is nothing new for us to document (apart from the REST API changes) in terms of the UI for 4.2? If that's the case, I will close this bug.

As an aside, is the doc text for bug 1511823 still true, given that it talks about a check box? Feel free to make any changes to that text, and we can review it again.

Comment 4 Dominik Holler 2018-04-03 07:24:38 UTC
Sorry, I forgot about the checkbox added in bug 546668.
So the doc text for bug 1511823 is correct.

Comment 5 Lucy Bopf 2018-04-16 06:35:43 UTC
(In reply to Dominik Holler from comment #4)
> Sorry, I forgot about the checkbox added in bug 546668.
> So the doc text for bug 1511823 is correct.

Aha. Thanks, Dominik. That clears things up. (The first bug ID is missing a '1' and should be bug 1546668).

We can schedule this one now.

Comment 6 Lucy Bopf 2018-04-16 06:37:43 UTC
Accepting into GA program and assigning to Billy for review.

Comment 16 Emma Heftman 2018-05-09 10:29:22 UTC
Reviewed and merged.


Note You need to log in before you can comment on or make changes to this bug.